<?php
/**
 *      ****  *  *     *  ****  ****  *    *
 *      *  *  *  * *   *  *  *  *  *   *  *
 *      ****  *  *  *  *  *  *  *  *    *
 *      *     *  *   * *  *  *  *  *   *  *
 *      *     *  *    **  ****  ****  *    *
 * @author   Pinoox
 * @link https://www.pinoox.com/
 * @license  https://opensource.org/licenses/MIT MIT License
 */


namespace Pinoox\Component\Validation;

use Illuminate\Validation\Factory as FactoryIlluminate;

class Factory extends FactoryIlluminate
{
    /**
     * Resolve a new Validator instance.
     *
     * @param array $data
     * @param array $rules
     * @param array $messages
     * @param array $attributes
     * @return Validation
     */
    protected function resolve(array $data, array $rules, array $messages, array $attributes): Validation
    {
        if (is_null($this->resolver)) {
            return new Validation($this->translator, $data, $rules, $messages, $attributes);
        }

        return call_user_func($this->resolver, $this->translator, $data, $rules, $messages, $attributes);
    }


    public function check(mixed $value, string|array $rule): bool
    {
        return $this->make(['value' => $value], ['value' => $rule])->passes();
    }
}